Subject: Re: fopen()/fclose() turns off compression
From: Jeff <[email-masked]>
To: [email-masked]
Date: Thu, 15 Jul 2004 04:20:59 -0700

On Wed, 14 Jul 2004 20:51:29 +0200, Corinna Vinschen
<[email-masked]> wrote:

>On Jul 14 10:18, Jeff wrote:
>> I wrote about this issue before, but now I have something specific to
>> report. I'm running the latest Cygwin on WinXP Pro SP1, and have my HDD
>> formatted NTFS. I also have it set to compress all new and modified
>> files (compression set for the HDD, inheritable to all directories and
>> files). fopen (file_name, "w")/fclose() on an already-existing file
>> overwrites it as expected, but the new file will have the NTFS
>> compression attribute turned off. fopen()/fclose() on a new (not yet
>> existing file) results in a compresed file. Earlier Cygwin versions did
>> not do this, and all files created or modified by Cygwin apps correctly
>> inherited all NTFS file attributes.
>
>Please try the cygwin DLL from the latest developers snapshot, see
>http://cygwin.com/snapshots/ 
>Does the same still happen with that Cygwin DLL?

No, it seems to have been corrected. Thanks,

Jeff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/